Apache mod_ssl < 2.8.10 Off-by-one Overflow

Medium Log Correlation Engine Plugin ID 800580

Synopsis

N/A

Description

The remote Apache server is running a version of mod_ssl which contains a off-by-one buffer overflow. An attacker with write access to a .htacess file could exploit this bug to execute arbitrary code on this host with the privileges the web server is running.

Solution

Upgrade to mod_ssl 2.8.10 or higher.

See Also

marc.theaimsgroup.com/?l=vuln-dev&amp;m=102477330617604&amp;w=2

marc.theaimsgroup.com/?l=bugtraq&amp;m=102513970919836&amp;w=2

Plugin Details

Severity: Medium

ID: 800580

File Name: 800580.prm

Family: Web Servers

Nessus ID: 11039

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 4.6

Temporal Score: 3.4

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Reference Information

CVE: CVE-2002-0653

BID: 5084